Package com.databend.jdbc

## Class JdbcTypeMapping

- java.lang.Object
- - com.databend.jdbc.JdbcTypeMapping

    public class JdbcTypeMapping
    extends Object

### Constructor Summary

Constructors
`JdbcTypeMapping()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected com.databend.client.data.DatabendDataType` `getDataType​(int sqlType)` Gets corresponding `DatabendDataType` of the given `Types`.
`int` `toSqlType​(DatabendColumnInfo column)` Converts `DatabendColumnInfo` to generic SQL type defined in JDBC.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcTypeMapping

    public JdbcTypeMapping()

### Method Detail

#### toSqlType

    public int toSqlType​(DatabendColumnInfo column)

Converts `DatabendColumnInfo` to generic SQL type defined in JDBC.

Parameters:
  `column` - non-null column definition
Returns:
  generic SQL type defined in JDBC

#### getDataType

    protected com.databend.client.data.DatabendDataType getDataType​(int sqlType)

Gets corresponding `DatabendDataType` of the given `Types`.

Parameters:
  `sqlType` - generic SQL types defined in JDBC
Returns:
  non-null Databend data type